Bug 865541 (CVE-2012-5085) - CVE-2012-5085 OpenJDK: disable Gopher support by default (Gopher, 7189567)
Summary: CVE-2012-5085 OpenJDK: disable Gopher support by default (Gopher, 7189567)
Status: CLOSED ERRATA
Alias: CVE-2012-5085
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20121016,reported=2...
Keywords: Security
Depends On:
Blocks: 862579
TreeView+ depends on / blocked
 
Reported: 2012-10-11 17:29 UTC by Tomas Hoger
Modified: 2019-06-08 19:16 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-22 15:50:11 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1384 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2012-10-17 20:07:50 UTC
Red Hat Product Errata RHSA-2012:1385 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2012-10-17 20:06:54 UTC
Red Hat Product Errata RHSA-2012:1386 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2012-11-14 00:28:44 UTC
Red Hat Product Errata RHSA-2012:1391 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2012-10-18 20:44:09 UTC
Red Hat Product Errata RHSA-2012:1392 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2012-10-18 20:54:24 UTC

Description Tomas Hoger 2012-10-11 17:29:44 UTC
Oracle Java SE updates 7u9 and 6u37 disable Gopher protocol support by default in the java.net package.  Update also introduces a new property "jdk.net.registerGopherProtocol" which can be set to true to re-enable Gopher support.

Comment 2 Vincent Danen 2012-10-17 01:57:52 UTC
MITRE describes the issue thus:

Unspecified vulnerability in the Java Runtime Environment (JRE) component in Oracle Java SE 7 Update 7 and earlier, 6 Update 35 and earlier, 5.0 Update 36 and earlier, and 1.4.2_38 and earlier allows remote authenticated users to have an unspecified impact via unknown vectors related to Networking.  NOTE: the Oracle CPU states that this issue has a 0.0 CVSS score. If so, then this is not a vulnerability and this issue should not be included in CVE.

Comment 3 Tomas Hoger 2012-10-17 14:40:20 UTC
Fixed now in Oracle JDK 7u9 and 6u37.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpuoct2012-1515924.html

Comment 5 errata-xmlrpc 2012-10-17 16:10:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1386 https://rhn.redhat.com/errata/RHSA-2012-1386.html

Comment 6 errata-xmlrpc 2012-10-17 16:11:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1385 https://rhn.redhat.com/errata/RHSA-2012-1385.html

Comment 7 errata-xmlrpc 2012-10-17 16:12:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1384 https://rhn.redhat.com/errata/RHSA-2012-1384.html

Comment 9 errata-xmlrpc 2012-10-18 16:46:35 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1391 https://rhn.redhat.com/errata/RHSA-2012-1391.html

Comment 10 errata-xmlrpc 2012-10-18 16:57:13 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1392 https://rhn.redhat.com/errata/RHSA-2012-1392.html


Note You need to log in before you can comment on or make changes to this bug.